דילוג לתוכן

Florence 2 Large OCR

שילוב

מזהה מודל florence-2-large/ocr
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/ocr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

בקשה זו: ≈⁨‏0.003 ‏$⁩ 3 קרדיטי API · ≈ ⁨‏0.32 ‏₽⁩ הרצה בדף הזה

קבלת מפתח API
Microsoft · טקסט

התוצאה הראשונה שלך תופיע כאן

בנו בקשה למטה והריצו אותה עם מפתח ה־API שלכם. הפלטים מועתקים לאחסון שלנו ונשמרים לצמיתות או למשך 7 ימים ללא תשלום.

בנה בקשה

הפקדים נוצרים מסכמת המודל. הקוד והמחיר מתעדכנים כשמשנים אותם.

•חובה image_url
גרור קובץ, או

URL המפנה לתמונה לעיבוד.

POST /run/florence-2-large/ocr?wait=20 הצעת מחיר → ⁨‏0.003 ‏$⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/florence-2-large/ocr?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

הרצת הבקשה הזו

המפתח שלך נשאר בדפדפן הזה: הוא נשלח רק אל Doitong API ונשמר ב-localStorage רק אם מסמנים זכור. קבל מפתח API

מידע על Florence 2 Large OCR

מבצע זיהוי תווים אופטי בתמונה שב-`image_url` ומחזיר ב-`results` את הטקסט שזוהה כמחרוזת. הוא אינו מדווח היכן הטקסט ממוקם בתמונה. למיקומים, השתמשו ב-OCR עם וריאנט region.

פרמטרים

שלח את השם הקנוני או את השם המקומי, לא את שניהם. שמות קנוניים

שםסוג ברירת מחדלמותר תיאור
image_urlחובה image
סוגurl · image
URL המפנה לתמונה לעיבוד.
חובה שם קנוני, מתקבל גם הוא

פרמטרים של קבצים מקבלים URL ציבורי מסוג https://, כתובת URI מסוג data: בגודל של עד 10 MB, או את file_url של העלאה. קבצים

פלט

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "florence-2-large/ocr",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 3,
    "usd": "0.003",
    "charged": 3,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "results": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
הקבצים שלכם, הבחירה שלכםכל outputs[].url הוא עותק באחסון שלנו: נשמר לצמיתות (בתשלום לפי GB-חודש) או למשך 7 ימים ללא תשלום, בהתאם להגדרת החשבון או ל־?storage=.
אותו מבנה בכל מודלtype, url, content_type, width, height ו-duration, עבור תמונות, וידאו ואודיו כאחד. output הוא אובייקט התוצאה של המודל עצמו.
שדות הפלט
results
stringהתוצאות שהוחזרו על ידי המודל.

מודלים נוספים: ראייה

לסוכני AI: דף זה בפורמט Markdown נמצא בכתובת https://doitong.com/he/developers/models/florence-2-large/ocr.md. כל המודלים והמדריכים: https://doitong.com/developers/llms.txt